## hamexam 1.0.1

=== Makefile ===
build:	
	echo "null build"

clean:	
	echo "null clean"

install:	
	mkdir -p $(DESTDIR)/usr/share
	cp -r share $(DESTDIR)/usr/share/hamexam
	mkdir -p $(DESTDIR)/usr/bin
	ln -s ../share/hamexam/hamexam $(DESTDIR)/usr/bin/hamexam
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c share/hamexam.1 > $(DESTDIR)/usr/share/man/man1/hamexam.1.gz

=== debian/changelog ===
hamexam (1.0.1-1) unstable; urgency=low

  * Use .png files for diagrams, instead of .pdf.
  * changed native to quilt

 -- John T. Nogatch <jnogatch@yahoo.com>  Tue, 07 Jun 2011 14:38:33 -0700

hamexam (1.0.0) unstable; urgency=low

  * Initial release (Closes: #629435)

 -- John T. Nogatch <jnogatch@yahoo.com>  Mon, 06 Jun 2011 12:49:47 -0700

=== debian/control ===
Source: hamexam
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: John T. Nogatch <jnogatch@yahoo.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2

Package: hamexam
Architecture: all
Depends: ${misc:Depends}, evince
Description: Study tool for USA FCC amateur radio (ham) exams.
 hamexam is an interactive study tool for the 3 USA FCC amateur radio
 (ham radio) question pools.
 The 3 question pools are:
     t element 2, Technician Class (entry level),
     g element 3, General Class (also requires element 2),
     e element 4, Extra Class (also requires elements 2 and 3).
 Questions are chosen randomly from the selected pool.
 Incorrect answers cause the question to be asked again later.
 Licenses are issued by the FCC, but exams are conducted by Volunteer Examiners.
 For more information about USA amateur radio licensing:
     http://www.arrl.org/licensing-preparation-exams

## hamexam 1.1.1

=== debian/changelog ===
hamexam (1.1.1-1) unstable; urgency=low

  * hamexam.png is RGBA to display correctly in Unity2D
  * hamexam.png is "export bitmap" from hamexam.svg

 -- John T. Nogatch <jnogatch@yahoo.com>  Tue, 17 Jan 2012 14:59:38 -0800

hamexam (1.1.0-1) unstable; urgency=low

  * add hamexam.desktop and hamexam.png for Applications->Hamradio menu
  * add q option to query for question pool (needed for menu startup)
  * use eog, instead of evince, for viewing .png files

 -- John T. Nogatch <jnogatch@yahoo.com>  Wed, 11 Jan 2012 10:40:00 -0700

## hamexam 1.2.0

=== debian/changelog ===
hamexam (1.2.0-1) unstable; urgency=low

  * replaced Extra question pool & diagrams with new effective 1-July-2012
  * "hamexam q" will now repeatedly ask for {t,g,e} selection
  * 3 second delay after error messages, to read before window closes
  * non-existent questions remaining from old pool are silently removed

 -- John T. Nogatch <jnogatch@yahoo.com>  Fri, 03 Feb 2012 13:37:37 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: hamexam
 Architecture: all
-Depends: ${misc:Depends}, evince
+Depends: ${misc:Depends}, eog
 Description: Study tool for USA FCC amateur radio (ham) exams.
  hamexam is an interactive study tool for the 3 USA FCC amateur radio
  (ham radio) question pools.

## hamexam 1.2.1

=== debian/changelog ===
hamexam (1.2.1-1) unstable; urgency=low

  * add echo instead of read -p "bashism" (Closes: 690646)
  * changed debian/control email address
  * figures optional {$PNG_VIEWER, eog, gwenview, gpicview, ristretto} -
    Thanks, Edi Meier (Closes: 701639)
  * show name of non-existent question

 -- John T. Nogatch <jnogatch@gmail.com>  Thu, 28 Feb 2013 08:52:34 -0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: hamradio
 Priority: extra
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: John T. Nogatch <jnogatch@yahoo.com>, Kamal Mostafa <kamal@whence.com>
+Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: hamexam
 Architecture: all
-Depends: ${misc:Depends}, eog
+Depends: ${misc:Depends}
+Recommends: eog | gwenview | gpicview | ristretto
 Description: Study tool for USA FCC amateur radio (ham) exams.
  hamexam is an interactive study tool for the 3 USA FCC amateur radio
  (ham radio) question pools.

## hamexam 1.3.0

=== debian/changelog ===
hamexam (1.3.0-1) unstable; urgency=medium

  * element 2 question pool effective 1 July 2014
  * element 4 errata
  * removed withdrawn questions

 -- John T. Nogatch <jnogatch@gmail.com>  Sun, 15 Jun 2014 11:47:03 -0700

## hamexam 1.4.0

=== debian/changelog ===
hamexam (1.4.0-1) unstable; urgency=medium

  * element 3 question pool effective 1 July 2015
  * eliminated backslashes in echo statements (Closes: 772235)

 -- John T. Nogatch <jnogatch@gmail.com>  Wed, 06 May 2015 15:02:26 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: hamexam
 Architecture: all

## hamexam 1.5.0

=== Makefile ===
build:	
	echo "null build"

clean:	
	echo "null clean"

dist:	
	rm -f hamexam.orig.tar.gz
	tar zcvf hamexam.orig.tar.gz --exclude debian *

install:	
	mkdir -p $(DESTDIR)/usr/share
	cp -r share $(DESTDIR)/usr/share/hamexam
	mkdir -p $(DESTDIR)/usr/bin
	ln -s ../share/hamexam/hamexam $(DESTDIR)/usr/bin/hamexam
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c hamexam.1 > $(DESTDIR)/usr/share/man/man1/hamexam.1.gz
	mkdir -p $(DESTDIR)/usr/share/applications
	cp hamexam.desktop $(DESTDIR)/usr/share/applications/hamexam.desktop
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp hamexam.png $(DESTDIR)/usr/share/pixmaps/hamexam.png

=== debian/changelog ===
hamexam (1.5.0-1) unstable; urgency=medium

  * element 4 question pool effective 1 July 2016

 -- John T. Nogatch <jnogatch@gmail.com>  Mon, 11 Jan 2016 09:22:12 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: hamexam
 Architecture: all

## hamexam 1.6.0

=== debian/changelog ===
hamexam (1.6.0-2) unstable; urgency=medium

  * compat 9, standards 4.1.4

 -- John T. Nogatch <jnogatch@gmail.com>  Tue, 17 Jul 2018 17:42:37 +0000

hamexam (1.6.0-1) unstable; urgency=medium

  * element 2 question pool effective 1 July 2018 errata 20180211
  * element 4 errata 20160305

 -- John T. Nogatch <jnogatch@gmail.com>  Sun, 15 Jul 2018 18:39:02 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 
 Package: hamexam
 Architecture: all

## hamexam 1.7.0

=== debian/changelog ===
hamexam (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Multi-Arch: foreign.
  * Priority: optional.
  * Add debian/gitlab-ci.yml.
  * Add Vcs headers.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Jan 2020 16:08:14 +0100

hamexam (1.7.0-2) unstable; urgency=medium

  * changed unstable to bionic

 -- John T. Nogatch <jnogatch@gmail.com>  Mon, 20 May 2019 17:40:27 +0000

hamexam (1.7.0-1) unstable; urgency=medium

  * 2019-2023 General Class Pool with Errata March 15, 2019

 -- John T. Nogatch <jnogatch@gmail.com>  Fri, 17 May 2019 21:17:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: hamexam
 Section: hamradio
-Priority: extra
+Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamexam
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamexam.git
 
 Package: hamexam
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: eog | gwenview | gpicview | ristretto
 Description: Study tool for USA FCC amateur radio (ham) exams.

## hamexam 1.10.1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 	echo "null clean"
 
 dist:	
-	rm -f hamexam.orig.tar.gz
-	tar zcvf hamexam.orig.tar.gz --exclude debian *
+	rm -f ../hamexam.orig.tar.gz
+	tar zcvf ../hamexam.orig.tar.gz --exclude debian *
 
 install:	
 	mkdir -p $(DESTDIR)/usr/share

=== debian/changelog ===
hamexam (1.10.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1050370)
  * Changes incorporate upstream releases 1.8.1, 1.9.1, and 1.10.1

  [ John T. Nogatch ]
  * 2020-2024 Extra Class Pool Errata #1 issued 24 Feb 2020
  * 2022-2026 Technician Pool Errata 2022-03-07
  * 2023-2027 General Pool Errata 2023-02-01
  * split.awk changes multiplication symbol to "x"
  * Corrected 2 instances of arrl.org URL
  * man page "^" changed to "end-of-file..."
  * kill PNG_VIEWER upon exit from hamexam

  [ tony mancill ]
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.6.2 (no changes)

 -- John T. Nogatch <jnogatch@gmail.com>  Tue, 29 Aug 2023 21:38:04 -0700

## hamexam 1.11.2

=== debian/changelog ===
hamexam (1.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1070774)

  [ John T. Nogatch ]
  * 1.11.2
    2023-2027 General Pool Errata 4 2024-03-06 (G1E09 removed)
  * 1.11.1
    2024-2028 Extra Pool
    2023-2027 General Pool Errata 2023-12-01

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2024 22:00:04 -0700

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamexam
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamexam.git
+Rules-Requires-Root: no
 
 Package: hamexam
 Architecture: all
@@ -24,4 +25,4 @@
  Incorrect answers cause the question to be asked again later.
  Licenses are issued by the FCC, but exams are conducted by Volunteer Examiners.
  For more information about USA amateur radio licensing:
-     http://www.arrl.org/licensing-preparation-exams
+     https://www.arrl.org/licensing-education-training
